/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.72-1
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "ssd1320.h"


int main(int argc, char **argv)
{
  
    


    if(!bcm2835_init()) {
        printf("bcm2835 init failed   !!! \r\n");
        return -1;
    } else {
        printf("bcm2835 init success  !!! \r\n");
    }

    printf("OLED begin\r\n");
    er_oled_begin();
    printf("OLED clear\r\n");
    er_oled_clear();

   while(1)
   {
    printf("OLED bitmap-monochrome\r\n");
    er_oled_bitmap(PIC1);
    bcm2835_delay(3000);
    OLED_ColorTurn(1);
    bcm2835_delay(3000);  
    OLED_ColorTurn(0); 

    printf("OLED bitmap-monochrome\r\n");
    er_oled_bitmap(PIC2);
    bcm2835_delay(3000);
    OLED_ColorTurn(1);
    bcm2835_delay(3000);  
    OLED_ColorTurn(0); 

    printf("OLED bitmap-monochrome\r\n");
    er_oled_bitmap(PIC3);
    bcm2835_delay(3000);
    OLED_ColorTurn(1);
    bcm2835_delay(3000);  
    OLED_ColorTurn(0); 
 
    }

   // bcm2835_spi_end();
   // bcm2835_close();
   // return 0;
}

